

# ListCollaborationPrivacyBudgets
<a name="API_ListCollaborationPrivacyBudgets"></a>

Returns an array that summarizes each privacy budget in a specified collaboration. The summary includes the collaboration ARN, creation time, creating account, and privacy budget details.

## Request Syntax
<a name="API_ListCollaborationPrivacyBudgets_RequestSyntax"></a>

```
GET /collaborations/collaborationIdentifier/privacybudgets?accessBudgetResourceArn=accessBudgetResourceArn&maxResults=maxResults&nextToken=nextToken&privacyBudgetType=privacyBudgetType HTTP/1.1
```

## URI Request Parameters
<a name="API_ListCollaborationPrivacyBudgets_RequestParameters"></a>

The request uses the following URI parameters.

 ** [accessBudgetResourceArn](#API_ListCollaborationPrivacyBudgets_RequestSyntax) **   <a name="API-ListCollaborationPrivacyBudgets-request-uri-accessBudgetResourceArn"></a>
The Amazon Resource Name (ARN) of the Configured Table Association (ConfiguredTableAssociation) used to filter privacy budgets.  
Length Constraints: Minimum length of 0. Maximum length of 200.  
Pattern: `arn:aws:[\w]+:[\w]{2}-[\w]{4,9}-[\d]:[\d]{12}:membership/[\d\w-]+/(configuredtableassociation|intermediatetable)/[\d\w-]+` 

 ** [collaborationIdentifier](#API_ListCollaborationPrivacyBudgets_RequestSyntax) **   <a name="API-ListCollaborationPrivacyBudgets-request-uri-collaborationIdentifier"></a>
A unique identifier for one of your collaborations.  
Length Constraints: Fixed length of 36.  
Pattern: `[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}`   
Required: Yes

 ** [maxResults](#API_ListCollaborationPrivacyBudgets_RequestSyntax) **   <a name="API-ListCollaborationPrivacyBudgets-request-uri-maxResults"></a>
The maximum number of results that are returned for an API request call. The service chooses a default number if you don't set one. The service might return a `nextToken` even if the `maxResults` value has not been met.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_ListCollaborationPrivacyBudgets_RequestSyntax) **   <a name="API-ListCollaborationPrivacyBudgets-request-uri-nextToken"></a>
The pagination token that's used to fetch the next set of results.  
Length Constraints: Minimum length of 0. Maximum length of 10240.

 ** [privacyBudgetType](#API_ListCollaborationPrivacyBudgets_RequestSyntax) **   <a name="API-ListCollaborationPrivacyBudgets-request-uri-privacyBudgetType"></a>
Specifies the type of the privacy budget.  
Valid Values: `DIFFERENTIAL_PRIVACY | ACCESS_BUDGET`   
Required: Yes

## Request Body
<a name="API_ListCollaborationPrivacyBudgets_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_ListCollaborationPrivacyBudgets_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "collaborationPrivacyBudgetSummaries": [ 
      { 
         "budget": { ... },
         "collaborationArn": "string",
         "collaborationId": "string",
         "createTime": number,
         "creatorAccountId": "string",
         "id": "string",
         "privacyBudgetTemplateArn": "string",
         "privacyBudgetTemplateId": "string",
         "type": "string",
         "updateTime": number
      }
   ],
   "nextToken": "string"
}
```

## Response Elements
<a name="API_ListCollaborationPrivacyBudgets_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [collaborationPrivacyBudgetSummaries](#API_ListCollaborationPrivacyBudgets_ResponseSyntax) **   <a name="API-ListCollaborationPrivacyBudgets-response-collaborationPrivacyBudgetSummaries"></a>
Summaries of the collaboration privacy budgets.  
Type: Array of [CollaborationPrivacyBudgetSummary](API_CollaborationPrivacyBudgetSummary.md) objects

 ** [nextToken](#API_ListCollaborationPrivacyBudgets_ResponseSyntax) **   <a name="API-ListCollaborationPrivacyBudgets-response-nextToken"></a>
The pagination token that's used to fetch the next set of results.  
Type: String  
Length Constraints: Minimum length of 0. Maximum length of 10240.

## Errors
<a name="API_ListCollaborationPrivacyBudgets_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
Caller does not have sufficient access to perform this action.    
 ** reason **   
A reason code for the exception.
HTTP Status Code: 403

 ** InternalServerException **   
Unexpected error during processing of request.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
Request references a resource which does not exist.    
 ** resourceId **   
The Id of the missing resource.  
 ** resourceType **   
The type of the missing resource.
HTTP Status Code: 404

 ** ThrottlingException **   
Request was denied due to request throttling.  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the specified constraints.    
 ** fieldList **   
Validation errors for specific input parameters.  
 ** reason **   
A reason code for the exception.
HTTP Status Code: 400

## See Also
<a name="API_ListCollaborationPrivacyBudgets_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/cleanrooms-2022-02-17/ListCollaborationPrivacyBudgets) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/cleanrooms-2022-02-17/ListCollaborationPrivacyBudgets) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/cleanrooms-2022-02-17/ListCollaborationPrivacyBudgets) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/cleanrooms-2022-02-17/ListCollaborationPrivacyBudgets) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/cleanrooms-2022-02-17/ListCollaborationPrivacyBudgets) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/cleanrooms-2022-02-17/ListCollaborationPrivacyBudgets) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/cleanrooms-2022-02-17/ListCollaborationPrivacyBudgets) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/cleanrooms-2022-02-17/ListCollaborationPrivacyBudgets) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/cleanrooms-2022-02-17/ListCollaborationPrivacyBudgets) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/cleanrooms-2022-02-17/ListCollaborationPrivacyBudgets) 